Description

Currently it would be nice to be able to forbid viewing project forums to anonymous users.

A "Can view forums" checkbox in role permissions would suffice.

Related issues:

Related to Redmine - Feature #7555: Private forums New 2011-02-05

Has duplicate Redmine - Feature #8618: New Permission: View Forum Closed 2011-06-15

Has duplicate Redmine - Feature #2224: add view persmission for board Closed 2008-11-24

Associated revisions

Revision 16637 - 2017-06-07 22:20 - Jean-Philippe Lang

New Permission: View Forum (#4866).

Patch by Felix Schäfer.

History

#1 - 2011-11-10 19:19 - Mischa The Evil

- Subject changed from Forum view permissions to New Permission: View Forum

This would solve several use-cases I think. Some quotes from #8618 (duplicating issue):

Jochen Manz wrote:

Most of the Permission do have a View XXXX checkbox, but not the forum. In my case i wanted to give a customer access to our redmine. In

fact he is able to see our discussion forum which is not ment to be public. Its definetly a missing thing.

 mark B. wrote:

I've got the same problem. Work-around was to move the forum to another private project, but this is less than ideal, as it really should all be in

the same project. Causes confusion and extra clicks.

#2 - 2013-11-08 05:28 - Mischa The Evil

- Related to Feature #7555: Private forums added

#3 - 2017-04-19 16:50 - Felix Schäfer

- File 4866.patch added

The attached patch makes the "view messages" permission configurable, similar to #7068#note-5. This patch does not include translations as those

are already present.

#4 - 2017-04-21 07:13 - Go MAEDA

- Target version set to Candidate for next major release

Felix, thank you for the patch. It works fine but breaks some tests on my environment. Could you take a look?

ruby test/functional/boards_controller_test.rbruby test/functional/boards_controller_test.rb
Run options: --seed 48663

# Running:

F.F....FF.F..FF.....

Finished in 1.551336s, 12.8921 runs/s, 30.9411 assertions/s.

  1) Failure:

BoardsControllerTest#test_show [test/functional/boards_controller_test.rb:50]:

Expected response to be a <success>, but was <302>

  2) Failure:

BoardsControllerTest#test_index [test/functional/boards_controller_test.rb:29]:

Expected response to be a <success>, but was <302>

  3) Failure:

BoardsControllerTest#test_show_with_permission_should_display_the_new_message_form [test/functional/boards_con

troller_test.rb:92]:

Expected response to be a <success>, but was <403>

  4) Failure:

BoardsControllerTest#test_show_should_display_sticky_messages_first [test/functional/boards_controller_test.rb

:62]:

Expected response to be a <success>, but was <302>

  5) Failure:

BoardsControllerTest#test_index_should_show_messages_if_only_one_board [test/functional/boards_controller_test

.rb:42]:

Expected response to be a <success>, but was <302>

  6) Failure:

BoardsControllerTest#test_show_atom [test/functional/boards_controller_test.rb:101]:

Expected response to be a <success>, but was <302>

  7) Failure:

BoardsControllerTest#test_show_should_display_message_with_last_reply_first [test/functional/boards_controller

_test.rb:81]:

Expected response to be a <success>, but was <302>

20 runs, 48 assertions, 7 failures, 0 errors, 0 skips

ruby test/functional/messages_controller_test.rbruby test/functional/messages_controller_test.rb

Run options: --seed 480

# Running:

F............FFFF..

Finished in 2.647736s, 7.1759 runs/s, 18.5064 assertions/s.

  1) Failure:

MessagesControllerTest#test_show [test/functional/messages_controller_test.rb:29]:

Expected response to be a <success>, but was <302>

  2) Failure:

MessagesControllerTest#test_show_with_pagination [test/functional/messages_controller_test.rb:58]:

Expected response to be a <success>, but was <302>

  3) Failure:

MessagesControllerTest#test_show_should_contain_reply_field_tags_for_quoting [test/functional/messages_control

ler_test.rb:37]:

Expected response to be a <success>, but was <403>

  4) Failure:

MessagesControllerTest#test_post_new [test/functional/messages_controller_test.rb:113]:

Expected nil to not be nil.

  5) Failure:

MessagesControllerTest#test_show_with_reply_permission [test/functional/messages_controller_test.rb:67]:

Expected response to be a <success>, but was <403>

19 runs, 49 assertions, 5 failures, 0 errors, 0 skips
#5 - 2017-04-21 11:02 - Felix Schäfer

- File 4866-2.patch added

You are correct, the tests make the assumption that this permission is public. I have added the permission to the test fixtures and they work now.

#6 - 2017-04-22 04:53 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

The patch works fine and passed all tests.

I think that delivering this feature along with #7068 makes permission control system of Redmine more consistent. Setting target version to 3.4.0.

#7 - 2017-06-07 22:22 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks for the patch.

#8 - 2017-06-09 08:47 - Mischa The Evil

- Subject changed from New Permission: View Forum to New permission: view forum

#9 - 2017-09-04 14:34 - Go MAEDA

- Has duplicate Feature #2224: add view persmission for board added

Files

4866.patch 3.59 KB 2017-04-19 Felix Schäfer

4866-2.patch 4.69 KB 2017-04-21 Felix Schäfer
